
##################################################################
# TetraMAX Reference Methodology Setup Script                    #
# Script: tmax_setup.tcl                                         #
# Version: D-2010.03-SP1 (May 24, 2010)                          #
# Copyright (C) 2008-2010 Synopsys, Inc. All rights reserved.    #
##################################################################


##################################################################
#    Set up output directories                                   #
##################################################################

source ${TMAX_SETUP_ROOT}/common_setup.tcl
# END OF common_setup.tcl
echo "Design Name is ${DESIGN_NAME}"

set REPORTS_DIR "reports"
set RESULTS_DIR "results"
file mkdir $REPORTS_DIR
file mkdir $RESULTS_DIR

##################################################################
#    SETUP: Variables for overall execution                      #
##################################################################

# For the following variables, use a blank space to separate multiple entries
# Example: set TMAX_LIBRARY_FILES "/path1/lib1.v /path2/lib2.v /path3/lib3.v"

set RULES_TO_DOWNGRADE      "" ;# errors to downgrade without masking (default: none)
set RULES_TO_MASK           "" ;# errors to downgrade with masking (default: none)

##################################################################
#    BUILD: Variables for reading in and building the design     #
##################################################################

set MODULES_TO_BLACK_BOX    "" ;# Modules to replace by black boxes (default: none)
set INSTANCES_TO_BLACK_BOX  "" ;# Instances to replace by TIEX's (default: none)
set TMAX_LIBRARY_FILES      "" ;# Cell libraries, nofaulted inside modules (REQUIRED)
set NETLIST_FILES           "${RESULTS_DIR}/${DESIGN_NAME}.mapped.v" ;# Design files, faulted inside modules (default: DC-RM output)

##################################################################
#    DRC/ATPG: Variables for all ATPG modes                      #
##################################################################

set PROTOCOL_FILE           "${RESULTS_DIR}/${DESIGN_NAME}.mapped.scan.spf" ;# STIL Protocol File (default: DC-RM output)
set EXCEPTION_FILE          "" ;# SDC file for timing exceptions (default: none)

##################################################################
#    Dynamic ATPG: Variables for Transition-Delay Test           #
##################################################################

set GLOBAL_SLACK_FILE       "" ;# Slack File for Small Delay Defect Testing (default: none)

##################################################################
#    End of TetraMAX RM setup script                             #
##################################################################
